package com.jln.system.web.action.mqtt.pojo.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
public class JsonDataDto {
    @JsonProperty("cmdId")
    private String cmdId;
    /**
     * sk 路徑
     */
    @JsonProperty("skurl")
    private String skurl;

    /**
     * txt路徑
     */
    @JsonProperty("txtFileUrl")
    private String txtFileUrl;


    /**
     * 读取的数据表前缀
     */
    @JsonProperty("mongdbTableb")
    private String mongdbTableb;



    @JsonProperty("productKey")
    private String productKey;

    @JsonProperty("sequenceId")
    private Integer sequenceId;

    @JsonProperty("clientUuid")
    private String clientUuid;



    /**
     * 存放查询的表和字段
     */
    @JsonProperty("tableFiels")
    private Map<String, Map<String,Object>> tableFiels = new HashMap<>();
}
